package com.example.ueberwachungssystem;


import android.app.Activity;
import android.content.Context;
import android.content.pm.PackageManager;
import android.widget.Toast;

import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;

public class PermissionHandler {
    private final Context context;
    private static final int PERMISSION_REQUEST_CODE = 23409;
    private static final String[] permissions = new String[]{
            android.Manifest.permission.CAMERA,
            android.Manifest.permission.RECORD_AUDIO
    };

    public PermissionHandler(Context context) {
        this.context = context;
    }

    public boolean hasPermissions() {
        boolean permissionState = true;
        for (String permission: permissions) {
            permissionState = permissionState && ContextCompat.checkSelfPermission(context, permission) == PackageManager.PERMISSION_GRANTED;
        }
        return permissionState;
    }

    public void getPermissions() {
        if (!hasPermissions())
            ActivityCompat.requestPermissions((Activity) context, permissions, PERMISSION_REQUEST_CODE);
    }

    public void showPermissionToast() {
        if (hasPermissions())
            Toast.makeText(context, "permissions available", Toast.LENGTH_SHORT).show();
        else
            Toast.makeText(context, "permissions missing", Toast.LENGTH_SHORT).show();
    }
}
